@echo OFF
REM Licensed Materials - Property of IBM
REM OCO Source Materials
REM 09N6996
REM (C) Copyright IBM Corp. 2007 All Rights Reserved
REM The source code for this program is not published or other-
REM wise divested of its trade secrets, irrespective of what has
REM been deposited with the U.S. Copyright Office.


for %%D in ("-h", "--help") DO IF "%1"==%%D ( 
goto usage
)
REM Batch doesn't allow -? in the for loop
if "%1"=="-?" (
goto usage
)

if ""%1""==""""  goto doneSetArgs
 
if "%1" == "-l"  goto doneSetArgs
) else (
echo Invalid arguments passed 
echo Please type "smreset -h" to get more help.
exit /b 0
)


:doneSetArgs
setlocal

REM something eats the directory stack, so we have to memorize instead. (no pushd)
set USERDIR=%CD%
set BINDIR=%~d0%~p0
cd /d %BINDIR%
set DIRECTOR_HOME=%~d0%~p0..\
SET DIR_HOME=%~d0%~p0..
set LWI_DIR=%BINDIR%..\lwi
call "%DIRECTOR_HOME%lwi\bin\setupCmdLine.bat"
set CURRENTDIR=%~d0%~p0
set ROOTDIR=%~d0%~p0..\
set LOGFILE=%ROOTDIR%log\reset.log

REM clean up the log, if any
echo "" > "%LOGFILE%"

REM Check to see if we are running, if we are, bail
call "%DIRECTOR_HOME%lwi\bin\lwistatus" > usmsstatus
find "INACTIVE" < usmsstatus > nul
if errorlevel 1 goto isrunning

"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_6.2.0\classes;%DIRECTOR_HOME%lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_6.2.0\classes\USMSPersTools.jar" com.ibm.usmi.kernel.persistence.USMSReset -log "%LOGFILE%"
if errorlevel 1 goto interupt

echo Non-DB portion of Reset Complete >> "%LOGFILE%"

REM Run JPA database setup 
:RUNDBSETUP	

REM Cleanup and prime the default JPA database

echo Cleaning up JPA Database
set DBCLASSPATH=%DIR_HOME%\bin;%LWI_DIR%\lib\lwisecurity.jar;%LWI_DIR%\lib\passutils.jar;%DIR_HOME%\bin\cfgdbcmd.jar

"%DIRECTOR_HOME%jre\bin\java" -classpath "%DBCLASSPATH%" ^
		-DDirHome="%DIR_HOME%" ^
		-DLWIInstallLocation="%LWI_DIR%" ^
		com.ibm.usmi.install.dbconfig.LWIDbConfig -dbReset true -logfile "%DIRECTOR_HOME%log\reset-database.log" %*
echo return code from cfgdbcmd is %errorlevel%
cd %USERDIR%
exit /B %ERRORLEVEL%

	
:isrunning
del usmsstatus >nul 2>&1
"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_6.2.0\classes;%DIRECTOR_HOME%lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_6.2.0\classes\USMSPersTools.jar" com.ibm.usmi.kernel.persistence.USMSReset isrunning
REM was there an error message?
if exist message.txt type message.txt
if exist message.txt del message.txt > nul 2>&1
cd %USERDIR%
exit /b 1
 
:interupt
cd "%BINDIR%"
if exist message.txt del message.txt > nul 2>&1
"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_6.2.0\classes;%DIRECTOR_HOME%lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_6.2.0\classes\USMSPersTools.jar" com.ibm.usmi.kernel.persistence.USMSReset failed
if exist message.txt type message.txt
if exist message.txt del message.txt > nul 2>&1
cd %USERDIR%
exit /b 1


REM Needs to be NLS'd
:usage
echo "Syntax: smreset [-h | -? | --help]"
echo "where -h | --help | -? prints the help message."
echo "smreset reverts the IBM Director database and server persistence to its installed state."
exit /b 0



